AddPatch

Fits a surface through curve, point, point cloud, and mesh objects.

Syntax

Rhino.AddPatch (arrObjects, intUSpans, intVSpans [, dblTolerance [, blnTrim [, dblPointSpacing [, dblFlexibility [, dblSurfacePull [, blnFixEdges]]]]]]])

Rhino.AddPatch (arrObjects, strSurface [, dblTolerance [, blnTrim [, dblPointSpacing [, dblFlexibility [, dblSurfacePull [, blnFixEdges]]]]]]])

Parameters

arrObjects

Required.  Array.  An array of object identifiers that indicate the objects to use for the patch fitting. Acceptable object types include curves, points, point clouds, and meshes.

intUSpans

Required.  Number.  The U direction span count for the automatically generated surface.

intVSpans

Required.  Number.  The V direction span count for the automatically generated surface.

strSurface

Required.  String.  The identifier of the starting surface.  It is best if you create a starting surface that is similar in shape to the surface you are trying to create.

dblTolerance

Optional.  Number.  The tolerance used by input analysis functions. If omitted, Rhino's document absolute tolerance is used.

blnTrim

Optional.  Boolean.  Try to find an outside curve and trims the surface to it.  The default value is True.

dblPointSpacing

Optional.  Number.  The basic distance between points sampled from input curves.  The default value is 0.1.

dblFlexibility

Optional.  Number.  Determines the behavior of the surface in areas where its not otherwise controlled by the input.  Lower numbers make the surface behave more like a stiff material, higher, more like a flexible material.  That is, each span is made to more closely match the spans adjacent to it if there is no input geometry mapping to that area of the surface when the flexibility value is low.  The scale is logarithmic.  For example, numbers around 0.001 or 0.1 make the patch pretty stiff and numbers around 10 or 100 make the surface flexible.  The default value is 1.0.

dblSurfacePull

Optional.  Number.  Similar to stiffness, but applies to the starting surface. The bigger the pull, the closer the resulting surface shape will be to the starting surface.  The default value is 1.0.

blnFixEdges

Optional.  Number.  Clamps the edges of the starting surface in place. This option is useful if you are using a curve or points for deforming an existing surface, and you do not want the edges of the starting surface to move.  The default if False.

Returns

String

The identifier of the new surface object if successful.

Null

If not successful, or on error.

Example

Dim arrObjects

arrObjects = Rhino.GetObjects("Select points", 1, true, true)

If IsArray(arrObjects) Then

Rhino.AddPatch arrObjects, 10, 10

End If

Also See

AddLoftSrf

AddNetworkSrf

AddSweep1

AddSweep2